### Class

# Gtk OverlayLayout

#### Description [src]

    final class Gtk.OverlayLayout : Gtk.LayoutManager {
      /* No available fields */
    }

`GtkOverlayLayout` is the layout manager used by `GtkOverlay`.

It places widgets as overlays on top of the main child.

This is not a reusable layout manager, since it expects its widget to be a `GtkOverlay`. It only listed here so that its layout properties get documented.

#### Hierarchy

#### Ancestors

- GtkLayoutManager
- GObject

#### Constructors

###### gtk_overlay_layout_new

Creates a new `GtkOverlayLayout` instance.

#### Class structure

    struct GtkOverlayLayoutClass {
      GtkLayoutManagerClass parent_class;

    }

###### Class members

`parent_class` |
    GtkLayoutManagerClass
| No description available.